@echo OFF
REM Licensed Materials - Property of IBM
REM
REM (C) Copyright IBM Corp. 2001, 2010 All Rights Reserved
REM
REM US Government Users Restricted Rights - Use, duplicate or
REM disclosure restricted by GSA ADP Schedule Contract with
REM IBM Corp.

SET MPCLI_HOME=%~d0%~p0
set CURRENT_PWD=%CD%
cd /d %MPCLI_HOME%
 
SET MPCLIJRE=..\JRE

IF NOT DEFINED MPCLIJRE  goto gracefulexit

SET DLLPATH=..\lib

SET CP=..\classfix;..\classes\mpcli.jar;..\lwi\runtime\director\eclipse\plugins\com.ibm.director.hw.bcx.server_6.2.0\classes\asmlibrary.jar;..\lwi\runtime\director\eclipse\plugins\com.ibm.director.hw.bcx.server_6.2.0\classes\asmlightpath.jar;%MPCLIJRE%\lib\rt.jar;..\lwi\runtime\USMiMain\eclipse\plugins\com.ibm.director.core.kernel_6.2.0\classes\DirLibs.jar

SET RUNJAVA142=%MPCLIJRE%\bin\java

%RUNJAVA142% -classpath %CP% -Djava.library.path=%DLLPATH% com.ibm.sysmgt.app.cli.ASMCLIMain %*%

cd /d %CURRENT_PWD%
goto end

:gracefulexit
echo.
echo You have chosen to use an existing JRE/JDK.
echo.
echo Please set the MPCLIJRE variable to point to a 1.42 compatible JDK/JRE.
echo.
echo For example, type SET MPCLIJRE="C:\PROGRA~1\IBMJAVA142"
echo              from a command prompt, and re-execute this script.
echo.
echo Note : You can type SET MPCLIJRE to view the current setting.
echo.

:end
